[neon/neon/calamares-settings/Neon/release] /: selectively enable wayland on the upcoming slimbook
Harald Sitter
null at kde.org
Wed Jun 22 12:15:21 BST 2022
Git commit 045ed2260d969dc00140836790a41cede1438a39 by Harald Sitter.
Committed on 22/06/2022 at 11:15.
Pushed by sitter into branch 'Neon/release'.
selectively enable wayland on the upcoming slimbook
A +6 -0 oem-config/calamares/oem-config/modules/slimbook-proxamd5.conf
M +2 -1 oem-config/calamares/oem-config/settings.conf
A +23 -0 oem-prepare/usr/sbin/calamares-oem-slimbook-proxamd5
https://invent.kde.org/neon/neon/calamares-settings/commit/045ed2260d969dc00140836790a41cede1438a39
diff --git a/oem-config/calamares/oem-config/modules/slimbook-proxamd5.conf b/oem-config/calamares/oem-config/modules/slimbook-proxamd5.conf
new file mode 100755
index 0000000..32b4224
--- /dev/null
+++ b/oem-config/calamares/oem-config/modules/slimbook-proxamd5.conf
@@ -0,0 +1,6 @@
+# SPDX-FileCopyrightText: 2018-2021 Harald Sitter <sitter at kde.org>
+# SPDX-License-Identifier: GPL-3.0-only OR LicenseRef-KDE-Accepted-GPL
+---
+timeout: 60
+script:
+ - calamares-oem-slimbook-proxamd5
diff --git a/oem-config/calamares/oem-config/settings.conf b/oem-config/calamares/oem-config/settings.conf
index 354d50b..32b1d28 100644
--- a/oem-config/calamares/oem-config/settings.conf
+++ b/oem-config/calamares/oem-config/settings.conf
@@ -1,4 +1,4 @@
-# SPDX-FileCopyrightText: 2018-2019 Harald Sitter <sitter at kde.org>
+# SPDX-FileCopyrightText: 2018-2022 Harald Sitter <sitter at kde.org>
# SPDX-License-Identifier: GPL-3.0-only OR LicenseRef-KDE-Accepted-GPL
---
modules-search: [ local ]
@@ -44,6 +44,7 @@ sequence:
- networkcfg
- displaymanager
- shellprocess at hostnamectl
+ - shellprocess at slimbook-proxamd5
- shellprocess at install_translations
- packages at pkg
- show:
diff --git a/oem-prepare/usr/sbin/calamares-oem-slimbook-proxamd5 b/oem-prepare/usr/sbin/calamares-oem-slimbook-proxamd5
new file mode 100755
index 0000000..9830fc2
--- /dev/null
+++ b/oem-prepare/usr/sbin/calamares-oem-slimbook-proxamd5
@@ -0,0 +1,23 @@
+#!/bin/sh
+# SPDX-FileCopyrightText: 2022 Harald Sitter <sitter at kde.org>
+# SPDX-License-Identifier: GPL-3.0-only OR LicenseRef-KDE-Accepted-GPL
+
+# On the KDE Slimbook 3 we'll want to default to wayland instead of x11 as one of the selling points.
+
+set -ex
+
+if [ "$(dmidecode --string system-manufacturer)" != "SLIMBOOK" ]; then
+ echo "I: Not SLIMBOOK"
+ exit 0
+fi
+
+if [ "$(dmidecode --string system-product-name)" != "PROX-AMD5" ]; then
+ echo "I: Not PROX-AMD5"
+ exit 0
+fi
+
+echo "I: Enabling wayland by default"
+cat << CONF > /var/lib/sddm/state.conf
+[Last]
+Session=/usr/share/wayland-sessions/plasmawayland.desktop
+CONF
More information about the Neon-commits
mailing list